Package org.iirds.dita.ot.plugin.module

# Class IirdsTopicReader

java.lang.Object
org.dita.dost.writer.AbstractDomFilter
org.iirds.dita.ot.plugin.module.IirdsTopicReader

All Implemented Interfaces:
  `org.dita.dost.reader.AbstractReader`

public class IirdsTopicReader extends org.dita.dost.writer.AbstractDomFilter
Reads and DITA topic and extract information relevant to iiRDS processing.

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  ### Fields inherited from class org.dita.dost.writer.AbstractDomFilter

  `job, logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IirdsTopicReader(ToCNode toc)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Document`
  `process(Document doc)`
  Read DOM and process
  `protected void`
  `process(Element elem)`
  `void`
  `read(File filename)`
  Read topic file and process the XML DOM via `process(Document)`

  ### Methods inherited from class org.dita.dost.writer.AbstractDomFilter

  `setJob, setLogger`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IirdsTopicReader

    public IirdsTopicReader(ToCNode toc)
    Constructor.
    Parameters:
      `toc` - the node representing the topic to read

- ## Method Details

  - ### read

    public void read(File filename) throws org.dita.dost.exception.DITAOTException
    Read topic file and process the XML DOM via `process(Document)`
    Specified by:
      `read` in interface `org.dita.dost.reader.AbstractReader`
    Overrides:
      `read` in class `org.dita.dost.writer.AbstractDomFilter`
    Parameters:
      `filename` - the filename of the topic file
    Throws:
      `org.dita.dost.exception.DITAOTException`

  - ### process

    public Document process(Document doc)
    Read DOM and process
    Specified by:
      `process` in class `org.dita.dost.writer.AbstractDomFilter`

  - ### process

    protected void process(Element elem)